const path = require('path');
// const HTMLWebpackPlugin = require('html-webpack-plugin');

module.exports = {
    // mode: 'development',
    mode: "production",
    devtool: 'eval-source-map',
    entry: './src/bootstrap.ts',
    output: {
        filename: 'bundle.js',
        path: path.resolve(__dirname, 'js'),
        libraryTarget: 'var',
        library: 'CPUEMU'
    },
    experiments: {
        syncWebAssembly: true
    },
    module: {
        rules: [
            {
                test: /\.ts$/,
                use: 'ts-loader',
                include: [path.resolve(__dirname, 'src')],
            },
        ],
    },
    resolve: {
        extensions: ['.ts', '.js'],
    },
};
